%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary:	Password manager for GNOME 2
Name:		revelation
Version:	0.4.14
Release: 	8%{?dist}
License:	GPLv2+
Group:		Applications/Productivity
Source0: 	revelation-%{version}.tar.xz 
URL:		http://revelation.olasagasti.info/index.php 	

Requires:	python-crypto >= 2.0
Requires:	pygtk2 >= 2.4
Requires:	dbus-python 
Requires:	gnome-python2-gconf >= 2.0
Requires:	gnome-python2-gnomevfs >= 2.6
Requires:	gnome-python2-bonobo
Requires:	gnome-python2-gnome
Requires:	cracklib-dicts cracklib-python
BuildRequires:	python >= 2.2
BuildRequires:	python-devel >= 2.3
BuildRequires:	pygtk2-devel >= 2.4
BuildRequires:	gnome-python2-devel >= 2.5
BuildRequires:	gnome-python2-gconf >= 2.0
#BuildRequires:	libgnomeui-devel >= 2.8
#BuildRequires:	gnome-keyring-devel >= 0.4.0
#BuildRequires:	gnome-panel-devel 
BuildRequires:	desktop-file-utils
BuildRequires:	python-crypto >= 2.0
BuildRequires:	dbus-python
BuildRequires:	cracklib-python
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser) 
BuildRequires:	gnome-python2-gnome
BuildRequires:  gnome-python2-extras gnome-python2-desktop
BuildRequires:	intltool
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot-%(%{__id_u} -n)
Requires(post):         GConf2
Requires(preun):        GConf2

%description
Revelation is a password manager. It organizes accounts in
a tree structure, and stores them as AES-encrypted XML files.

%prep
%setup -q 
#%patch0 -p0
#%patch1 -p1 -b .noapplet
#%patch2 -p1 -b .gcc

%build
./autogen.sh
autoreconf -i
%configure --disable-desktop-update --disable-mime-update --with-cracklib-dict=/usr/share/cracklib/pw_dict
make %{?_smp_mflags} CC="%{__cc} $RPM_OPT_FLAGS"


%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --remove-key Version \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%pre
%gconf_schema_prepare %{name}
%gconf_schema_obsolete %{name}-applet

%post
%gconf_schema_upgrade %{name}
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :


%preun
%gconf_schema_remove %{name}

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/revelation/
%{_datadir}/icons/hicolor/??x??/mimetypes/gnome-mime-application-x-revelation.png
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{python_sitearch}/revelation/
%{_datadir}/mime/packages/*

%changelog
* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 0.4.14-8
- update desktop/icon/mime scriptlets

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 01 2013 Jon Ciesla <limburgher@gmail.com> - 0.4.14-4
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 01 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.14-1
- New Upstream release which addresses weak encryption format. 

* Sun Jun 24 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.13-3
- Upstream pre-release which addresses weak encryption format. 
- This version will detect old encryption format and will prompt you to 
  re-save in new format.

* Fri Jun 15 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.13-2
- dep fix up for rawhide building 

* Fri Jun 15 2012 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.13-1
- New upstream development location and new release 

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 15 2011 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.11-17
- still actually requires gnome-python2-gnome without the applet

* Wed Aug 03 2011 Adam Williamson <awilliam@redhat.com> - 0.4.11-16
- still actually requires gnome-python2-bonobo without the applet

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Adam Williamson <awilliam@redhat.com> - 0.4.11-14
- drop the manual gnome-python2-applet require

* Wed Feb 02 2011 Adam Williamson <awilliam@redhat.com> - 0.4.11-13
- obsolete the applet schema

* Wed Feb 02 2011 Adam Williamson <awilliam@redhat.com> - 0.4.11-12
- ditch the applet, we're not supporting them any more in GNOME 3
- drop some now useless deps, add a BR on intltool
- gcc.patch: fix incorrect use of --export-dynamic parameter
- add the dist tag to the EVR

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.11-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 24 2010 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.11-10
- UI patch update to fix broken icons. 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec  5 2008 Jeremy Katz <katzj@redhat.com> - 0.4.11-7
- rebuild for python 2.6 harder

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.11-6.1
- Rebuild for Python 2.6

* Fri Oct 03 2008 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.11-5.1
- Depchain fix.

* Fri Oct 03 2008 Jef Spaleta <jspaleta@fedoraproject.org> - 0.4.11-5
- Minor patch to ui.py to fix broken menu generation.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.11-4.1
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.4.11-3.1
- Remove version key from desktop file

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Mon Jun 04 2007 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.11-3
- Rebuild to build for ppc64 as well

* Wed Feb 07 2007 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.11-2
- use RPM_OPT_FLAGS during build (patch from Ville, #226680)

* Thu Jan 11 2007 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.11-1
- update to 0.4.11 (fixes revelation-applet, upstream #202)
- run gconftool-2 for applet stuff, too

* Thu Jan 11 2007 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.9-1
- update to 0.4.9
- Remove 0.4.8-specific workaround 
- Remove manual python-abi requires

* Sun Dec 31 2006 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.8-2
- BR gnome-python2-applet

* Sun Dec 31 2006 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.8-1
- update to 0.4.8
- ships locales now; use find_lang, BR gettext, perl(XML::Parser)

* Sat Dec 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-7
- Rebuild for python 2.5

* Thu Oct 31 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-6
- track rawhide and BR gnome-python2-devel and cracklib-devel

* Thu Sep 07 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-5
- Don't ghost pyo files (#205432)

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-4
- Rebuild for Fedora Extras 6

* Mon Feb 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  0.4.7-3
- BR gnome-python2-desktop now needed

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.7-1
- update to 0.4.7

* Fri Oct 14 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-3
- use cracklib-dicts correctly (#170742)
- don't ship revelation dicts

* Mon Aug 27 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-2
- Require gnome-python2-applet (#166987)

* Mon Aug 27 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-1
- Update to 0.4.5
- add patch revelation-dont_check_everything.patch

* Fri Aug 19 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.4-2
- rebuild

* Mon Aug 08 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.4-1
- Update to 0.4.4
- Use dist-macro
- New BR gnome-panel-devel  gnome-python2-extras

* Fri May 06 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.3-3
- Update the GTK+ theme icon cache on (un)install

* Sat Apr 02 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.3-2
- Devel rebuild

* Sat Apr 02 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.3-1
- Update to 0.4.3
- BR words, cracklib, Req words
- Use configure para -with-cracklib-dict=/usr/share/dict/

* Wed Mar 30 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.2-1
- Update to 0.4.2

* Tue Mar 01 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.0-1
- Update to 0.4.0 - depends on gtk 2.4 now
- Uses configure now
- add BR pygtk2-devel gnome-keyring-devel
- use shared-mime-info and desktop-file-utils
- Remove unneeded explicit Requires
- not a noarch package anymore
- on x86_64 it currently installs and needs authmanager.so in %%{python_sitelib}
  will report upstream

* Wed Sep 29 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.4-0.fdr.1
- Update to 0.3.4

* Tue Aug 31 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.3-0.fdr.1
- Update to 0.3.3

* Thu Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.2
- Own python_sitelib/revelation/

* Wed Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.1
- Update to 0.3.2
- convert package to noarch
- convert parts to match python spec-file template

* Sat Jul 17 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.0-0.fdr.1
- New Spec File based on Matthew Hall and Dags SPEC Files -- Thanks to them
- Fix Gconf handling
